﻿@model Sorceleur.Models.Monstre

@{
    ViewData["Title"] = "Edit";
}

<div class="row justify-content-lg-center" style="padding-top:50px">
    <form asp-action="Edit">
        <div class="col-lg-auto">
            <h4 class="font-weight-bold" style="text-align:center;padding-bottom:50px">Editer :</h4>
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="Id" />
            <div class="form-group">
                <label asp-for="nom" class="control-label"></label>
                <input asp-for="nom" class="form-control" />
                <span asp-validation-for="nom" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="poids" class="control-label"></label>
                <input asp-for="poids" class="form-control" />
                <span asp-validation-for="poids" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="raceMonstre" class="control-label"></label>
                <input asp-for="raceMonstre" class="form-control" />
                <span asp-validation-for="raceMonstre" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
            <div>
                <a asp-action="Index">Back to List</a>
            </div>
        </div>
    </form>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}